<h1>Simple Calc</h1>
<div>
  LHS: <input type="number" [(ngModel)]="lhs" 
        [class.error]="lhs < 2" (change)="compute()" />
  RHS: <input type="number" [(ngModel)]="rhs" 
        [class.error]="rhs < 2" (change)="compute()" />
  <button type="button" (click)="compute()">Compute</button>
</div>

<hr />
<div>
  <table>
    <thead>
      <tr>
        <th>Name</th> <th>Left</th> <th>OP</th> <th>Right</th> <th>=</th> <th>Result</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of results">
        <td>{{item.name | titlecase}}</td>
        <td>{{item.lhs | number:'1.1-3'}}</td>
        <td>{{item.operator}}</td>
        <td>{{item.rhs | number:'1.1-3'}}</td>
        <td>=</td>
        <td>{{item.result | number:'1.1-3'}}</td>
      </tr>
    </tbody>
  </table>

  <hr />
  <pre>{{results | json}}</pre>
</div>